import React, { useState, useEffect } from "react";
import NewPage from '@/components/NewPage';
import * as $$ from '@/utils/utility';
import { Tabs } from '@arco-design/web-react';
import { examine, Matter, applyRecord } from '@/assets/images';
import '../index.less';
import MatterDetail from '../../register/matterDetail';
import AuditInfo from './AuditInfo';

const TabPane = Tabs.TabPane;

export default function AuditTab() {
  const tabsList = [
    {
      img: Matter,
      label: '事项详情',
      key: 'sxxq',
    },
    {
      img: examine,
      label: '审核',
      key: 'sh',
    },
  ]
  const applyId = $$.getQueryString('applyId');
	const caseId = $$.getQueryString('caseId');
  const [tabsActive, setTabsActive] = useState('sh');
  //根据id定义组件
  const getTypeDom = (key) => {
    if (key === 'sh') {
      return <AuditInfo caseId={caseId} applyId={applyId}/>
    }
    if (key === 'sxxq') {
      return <MatterDetail caseId={caseId} />
    }
  }

  return (
    <div style={{ position: 'relative' }}>
      <NewPage
        pageHead={
          { breadcrumbData: [{ title: '工作台' }, { title: '事件中心' }], title: '处理' }
        }
      >
        <Tabs
          onChange={(v) => setTabsActive(v)}
          className='myTabContent'
          activeTab={tabsActive}
        >
          {tabsList?.map(item => {
            return <TabPane
              key={item.key}
              title={
                <span>
                  {tabsActive === item.key && <img src={item.img} alt="" style={{ width: '16px', height: '16px', margin: '-5px 12px 0px 0px' }} />}
                  <span style={{ fontSize: '16px' }}>{item.label}</span>
                </span>
              }
            >
              {getTypeDom(item.key)}
            </TabPane>
          })}
        </Tabs>
      </NewPage>
    </div>
  )
}
